Qyra
ReferenceProjects

Get user warehouse credentials preference

Get the user's warehouse credentials preference for a project

GET/api/v1/projects/{projectUuid}/user-credentials

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Responses

200 — Success

{
  "results": {
    "project": {
      "type": "DEFAULT",
      "name": "string",
      "projectUuid": "string"
    },
    "credentials": {
      "type": "redshift",
      "user": "string",
      "authenticationType": "password",
      "assumeRoleArn": "string"
    },
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "name": "string",
    "userUuid": "string",
    "uuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}